miral-app(1)

NAME
miral-app - Launch hosted miral desktop session

SYNOPSIS
miral-app [options] [shell options]

DESCRIPTION
miral-app is handy launch script for a hosted miral "desktop session". By default, miral-shell session is used for that, launching qterminal as an initial application inside.

OPTIONS

-kiosk
    Use miral-kiosk instead of miral-shell.

-launcher <launcher>
    Use <launcher> instead of the default application (qterminal).

-socket <socket>
    Set the legacy Mir socket (default: /tmp/<UID_NUMBER>-runtime-dir/miral_socket).

-wayland-display <socket>
    Set the wayland socket (default: wayland-0).

-bindir <bindir>
    Path to the miral-* executables (default: /usr/bin).

SEE ALSO
miral-shell(1), miral-kiosk(1), qterminal(1)

AUTHOR
The Mir Display Server has been written by the Mir Server Team at Canonical Ltd.

This man page has been written for the Debian project by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> and may be re-used by others.